Release 2017_010 (2017-05-29)

Impact

  • [Gentoo] All machines need to be rebooted due to a kernel update.

Gentoo platform

  • Update Linux kernel to 4.9.25 to improve VM stability (#26786).
  • Upgrade to a recent portage version to enable EAPI=6 ebuilds (#25202).
  • Mass package update to fix several security vulnerabilities with an emphasis on the Python ecosystem. See list below for details (#25714).
  • Fix bug in sshguard firewall setup (#14542).
  • Remove vm_io check as it does not bring any useful insight (#26788).
  • Fix bug in VM image charging code (#26700).
  • Improve debug logging in fc.qemu to nail down spurious migration errors (#26862).

Updated program versions

  • apachetop: 0.12.6 -> 0.12.6
  • apr: 1.5.0 -> 1.5.2
  • asciidoc: 8.6.5 -> 8.6.9
  • audit: 2.1.3 -> 2.6.4
  • automake: 1.14.1 -> 1.15
  • automake-wrapper: 9 -> 10
  • bash: 4.2_p52 -> 4.3_p48
  • binutils: 2.25.1 -> 2.26.1
  • cffi: 0.8.1 -> 1.9.1
  • chardet: 2.2.1 -> 2.3.0
  • cmake: 2.8.12.2 -> 3.7.2
  • colorama: 0.3.1 -> 0.3.3
  • cryptography: 0.20.1 -> 1.7.1
  • curl: 7.51.0 -> 7.53.0
  • dbus: 1.8.16 -> 1.10.12
  • dnspython: 1.9.4 -> 1.12.0-r301
  • docutils: 0.10 -> 0.12
  • dstat: 0.7.2 -> 0.7.3
  • eix: 0.29.3 -> 0.32.4
  • elfix: 0.8.4 -> 0.9.2
  • eselect-java: 0.1.0 -> 0.3.0
  • eselect-python: 20111108 -> 20160516
  • eudev: 1.5.3 -> 3.1.5
  • flex: 2.5.39 -> 2.6.1
  • gcc: 4.9.3 -> 4.9.4
  • gd: 2.2.2 -> 2.2.4
  • gdbm: 1.8.3 -> 1.11
  • gentoolkit: 0.3.0.8 -> 0.3.2
  • gentoolkit-dev: 0.2.8.3 -> 0.3.0
  • ghostscript-gpl: 9.14 -> 9.20
  • glibc: 2.22 -> 2.23
  • gnutls: 3.3.15 -> 3.3.26
  • go: 1.4.2 -> 1.7.5
  • graphite2: 1.2.1 -> 1.3.8
  • graphviz: 2.26.3 -> 2.38.0
  • hiera: 1.3.2 -> 1.3.4
  • html5lib: 0.90 -> 0.9999999
  • icedtea-bin: 7.2.6.6 -> 7.2.6.8
  • imagemagick: 6.9.0.3 -> 6.9.7.4
  • ipaddress: 1.0.14 -> 1.0.17
  • kmod: 17 -> 23
  • libarchive: 3.1.2 -> 3.2.2
  • libcap-ng: 0.7.3 -> 0.7.8
  • libgsf: 1.14.30 -> 1.14.41
  • libmemcached: 1.0.14 -> 1.0.18
  • libnl: 3.2.23 -> 3.2.28
  • libpng: 1.6.21 -> 1.6.27
  • libtasn1: 4.5 -> 4.10
  • libtool: 2.4.2 -> 2.4.6
  • libudev: 208 -> 215
  • libxcb: 1.10 -> 1.12
  • libXft: 2.3.1 -> 2.3.2
  • lockfile: 0.9.1 -> 0.11.0
  • lvm2: 2.02.103 -> 2.02.116
  • mailman: 2.1.15 -> 2.1.23
  • make: 3.82 -> 4.2.1
  • markupsafe: 0.21 -> 0.23
  • mercurial: 3.6.3 -> 3.8.4
  • netifrc: 0.2.2 -> 0.5.1
  • nspr: 4.12 -> 4.13.1
  • nss: 3.22.2 -> 3.28.1
  • numpy: 1.8.0 -> 1.10.4
  • openjpeg: 2.0.0 -> 2.1.1_p20160922
  • openldap: 2.4.38 -> 2.4.44
  • openrc: 0.12.4 -> 0.23.2
  • openssl: 1.0.2j -> 1.0.2k
  • openvpn: 2.3.6 -> 2.3.12
  • pciutils: 3.2.0 -> 3.4.1
  • pillow: 2.4.0 -> 3.4.2
  • pip: 1.4.1 -> 7.1.2
  • pkgconfig: 0.28 -> 0.28
  • ply: 3.4 -> 3.9
  • portage: 2.2.8 -> 2.3.3
  • portage-utils: 0.53 -> 0.62
  • procps: 3.3.9 -> 3.3.12
  • push: 1.6 -> 2.0
  • py: 1.4.13 -> 1.4.30
  • pyasn1: 0.1.7 -> 0.1.8
  • pyasn1-modules: 0.0.5 -> 0.0.8
  • pycparser: 2.10 -> 2.14
  • pygments: 1.6 -> 2.1.1
  • pyopenssl: 0.13.1 -> 16.2.0
  • pypax: 0.8.4 -> 0.9.2
  • pytest: 2.3.5 -> 3.0.3
  • python: 3.4.1 -> 3.6.0
  • python-exec: 2.0.1 -> 2.4.4
  • python-ldap: 2.4.10 -> 2.4.19
  • python-updater: 0.11 -> 0.14
  • pytz: 2013d -> 2016.3
  • pyxattr: 0.5.2 -> 0.5.5
  • readline: 6.2_p1 -> 6.3_p8
  • requests: 2.3.0 -> 2.11.1
  • rb-inotify: 0.9.0 -> 0.9.5
  • ruby-ffi: 1.4.0 -> 1.9.6
  • sass: 3.2.9 -> 3.4.15
  • setuptools: 2.2 -> 30.4.0
  • shared-mime-info: 1.2 -> 1.4
  • simplejson: 3.3.0 -> 3.10.0
  • six: 1.6.1 -> 1.10.0
  • socat: 1.7.2.3 -> 1.7.3.1
  • spidermonkey: 1.8.2.15 -> 1.8.5
  • sqlite: 3.8.10.2 -> 3.16.2
  • tcpdump: 4.7.4 -> 4.9.0
  • tiff: 4.0.3 -> 4.0.7
  • timezone-data: 2013d -> 2016h
  • udev: 208 -> 217
  • udev-init-scripts: 26 -> 32
  • urllib3: 1.8.2 -> 1.16
  • vim-core: 7.3.762 -> 8.0.0386
  • virtualenv: 1.11.4 -> 15.1.0
  • webapp-config: 1.52 -> 1.54
  • werkzeug: 0.9.4 -> 0.11.11
  • xcb-proto: 1.10 -> 1.12
  • yard: 0.8.7.2 -> 0.8.7.3
  • yasm: 1.2.0 -> 1.3.0
  • zziplib: 0.13.60 -> 0.13.62